        var map;
        var loadEnd;
        function init() {
            map = new OpenLayers.Map('map', {
			  theme: null,
			  controls: [
				  new OpenLayers.Control.Attribution(),
				  new OpenLayers.Control.Navigation({
					  dragPanOptions: {
						  enableKinetic: true
					  }
				  })
			  ],
			  sphericalMercator: true,
			  projection: new OpenLayers.Projection("EPSG:900913"),
			  units: "m",
			  numZoomLevels: 16,
			  maxResolution: 156543.0339,
			  maxExtent: new OpenLayers.Bounds(-20037508.34, -20037508.34, 20037508.34, 20037508.34),
			  restrictedExtent: new OpenLayers.Bounds(12823060.932019735,3248973.789650974, 15730006.674231393,5621521.486192066),
			  isValidZoomLevel : function(zoomLevel) {
							return ((zoomLevel != null) && (zoomLevel >= 6) && (zoomLevel < 16));
						}
			});

            

           var vWorldStreet = new OpenLayers.Layer.XYZ(
                "VWorld Street Map",
                [
					"http://xdworld.vworld.kr:8080/2d/Base/201512/${z}/${x}/${y}.png"
                ]
            );
            
			map.addLayers([vWorldStreet]);
			map.setCenter(new OpenLayers.LonLat(14243425.793355, 4302305.8698004), 7); // Zoom level
									
			var og_gd01_as = new OpenLayers.Layer.WMS(
					'og_gd01_as', 'http://www.khoa.go.kr/oceangrid/cmm/proxyRun.do?call=wms',
					{
						layers: 'geotwo_postgis:og_gd01_as', transparent: 'true' 
 						,version: '1.1.0'
					}, {
                        singleTile: true
					}
				)			
			map.addLayers([og_gd01_as]);


	}//init end

	
	function keepOffsetOn(obj){
		var asd = $(obj).offset();
		$(obj).css("left",asd.left+"px");
		$(obj).css("right","auto");
	}

	function keepOffsetOff(obj){
		var width = $(obj).outerWidth()-20;
		$(obj).css("right","-"+width+"px");
		$(obj).css("left","auto");
	} 	